> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.wisboo.com/wisboo-api/product-access/grant-product-access/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wisboo.com/_mcp/server. # Grant product access POST https://api.wisboo.com/v1/stores/{store_id}/product_accesses Content-Type: application/json Otorga acceso a un producto a un usuario específico sin requerir una compra. Si el producto es un **bundle**, el acceso a todos los productos incluidos en el bundle también se otorga automáticamente. Devuelve un error `422` con código `DUPLICATE_ERROR` si el usuario ya tiene acceso al producto. Reference: https://docs.wisboo.com/wisboo-api/product-access/grant-product-access ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `store_id` (any, required) — ID de la tienda ### Body (application/json) This endpoint expects an object. - `user_id` (string, optional) - `product_id` (string, optional) ## Response ### 201 Successful request - `id` (string, optional) — ID del acceso creado. ## Errors ### 400 Bad Request Error User ID is missing - `type` (string, optional) - `code` (string, optional) - `message` (string, optional) - `details` (V1StoresStoreIdProductAccessesPostResponsesContentApplicationJsonSchemaDetails, optional) - `timestamp` (datetime, optional) - `request_id` (string, optional) ### 404 Not Found Error Product does not exist - `type` (string, optional) - `message` (string, optional) - `timestamp` (datetime, optional) - `log_id` (string, optional) - `request_id` (string, optional) ## Types ### V1StoresStoreIdProductAccessesPostResponsesContentApplicationJsonSchemaDetails - `field` (string, optional) - `explanation` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "id": "string" } ``` **SDK Code** ```python import requests url = "https://api.wisboo.com/v1/stores/:store_id/product_accesses" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.wisboo.com/v1/stores/:store_id/product_accesses'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.wisboo.com/v1/stores/:store_id/product_accesses" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.wisboo.com/v1/stores/:store_id/product_accesses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.wisboo.com/v1/stores/:store_id/product_accesses") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.wisboo.com/v1/stores/:store_id/product_accesses', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.wisboo.com/v1/stores/:store_id/product_accesses"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.wisboo.com/v1/stores/:store_id/product_accesses")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```